All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Max
Statistical Operations

Primitives for computing the maximal pixel value of an image. More...

## Max

The scratch buffer is required by the functions.
NppStatus | nppiMax_8u_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp8u *pMax, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned image Max. More...
NppStatus | nppiMax_8u_C1R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp8u *pMax)
NppStatus | nppiMax_16u_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16u *pMax, NppStreamContext nppStreamCtx)
| One-channel 16-bit unsigned image Max. More...
NppStatus | nppiMax_16u_C1R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16u *pMax)
NppStatus | nppiMax_16s_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16s *pMax, NppStreamContext nppStreamCtx)
| One-channel 16-bit signed image Max. More...
NppStatus | nppiMax_16s_C1R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16s *pMax)
NppStatus | nppiMax_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp32f *pMax, NppStreamContext nppStreamCtx)
| One-channel 32-bit floating point image Max. More...
NppStatus | nppiMax_32f_C1R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp32f *pMax)
NppStatus | nppiMax_8u_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp8u aMax[3], NppStreamContext nppStreamCtx)
| Three-channel 8-bit unsigned image Max. More...
NppStatus | nppiMax_8u_C3R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp8u aMax[3])
NppStatus | nppiMax_16u_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16u aMax[3], NppStreamContext nppStreamCtx)
| Three-channel 16-bit unsigned image Max. More...
NppStatus | nppiMax_16u_C3R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16u aMax[3])
NppStatus | nppiMax_16s_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16s aMax[3], NppStreamContext nppStreamCtx)
| Three-channel 16-bit signed image Max. More...
NppStatus | nppiMax_16s_C3R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16s aMax[3])
NppStatus | nppiMax_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp32f aMax[3], NppStreamContext nppStreamCtx)
| Three-channel 32-bit floating point image Max. More...
NppStatus | nppiMax_32f_C3R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp32f aMax[3])
NppStatus | nppiMax_8u_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp8u aMax[4], NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned image Max. More...
NppStatus | nppiMax_8u_C4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp8u aMax[4])
NppStatus | nppiMax_16u_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16u aMax[4], NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned image Max. More...
NppStatus | nppiMax_16u_C4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16u aMax[4])
NppStatus | nppiMax_16s_C4R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16s aMax[4], NppStreamContext nppStreamCtx)
| For common parameter descriptions, see Common parameters for nppiMax functions. More...
NppStatus | nppiMax_16s_C4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16s aMax[4])
NppStatus | nppiMax_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp32f aMax[4], NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating point image Max. More...
NppStatus | nppiMax_32f_C4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp32f aMax[4])
NppStatus | nppiMax_8u_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp8u aMax[3], NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned image Max ignoring alpha channel. More...
NppStatus | nppiMax_8u_AC4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp8u aMax[3])
NppStatus | nppiMax_16u_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16u aMax[3], NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned image Max ignoring alpha channel. More...
NppStatus | nppiMax_16u_AC4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16u aMax[3])
NppStatus | nppiMax_16s_AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16s aMax[3], NppStreamContext nppStreamCtx)
| Four-channel 16-bit signed image Max ignoring alpha channel. More...
NppStatus | nppiMax_16s_AC4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16s aMax[3])
NppStatus | nppiMax_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp32f aMax[3], NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating point image Max ignoring alpha channel. More...
NppStatus | nppiMax_32f_AC4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp32f aMax[3])

## MaxGetBufferHostSize

Companion primitives for computing the device buffer size (in bytes) required by the Max primitives.
NppStatus | nppiMaxGetBufferHostSize_8u_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMax_8u_C1R. More...
NppStatus | nppiMaxGetBufferHostSize_8u_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMaxGetBufferHostSize_16u_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMax_16u_C1R. More...
NppStatus | nppiMaxGetBufferHostSize_16u_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMaxGetBufferHostSize_16s_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMax_16s_C1R. More...
NppStatus | nppiMaxGetBufferHostSize_16s_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMaxGetBufferHostSize_32f_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMax_32f_C1R. More...
NppStatus | nppiMaxGetBufferHostSize_32f_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMaxGetBufferHostSize_8u_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMax_8u_C3R. More...
NppStatus | nppiMaxGetBufferHostSize_8u_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMaxGetBufferHostSize_16u_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMax_16u_C3R. More...
NppStatus | nppiMaxGetBufferHostSize_16u_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMaxGetBufferHostSize_16s_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMax_16s_C3R. More...
NppStatus | nppiMaxGetBufferHostSize_16s_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMaxGetBufferHostSize_32f_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMax_32f_C3R. More...
NppStatus | nppiMaxGetBufferHostSize_32f_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMaxGetBufferHostSize_8u_C4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMax_8u_C4R. More...
NppStatus | nppiMaxGetBufferHostSize_8u_C4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMaxGetBufferHostSize_16u_C4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMax_16u_C4R. More...
NppStatus | nppiMaxGetBufferHostSize_16u_C4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMaxGetBufferHostSize_16s_C4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMax_16s_C4R. More...
NppStatus | nppiMaxGetBufferHostSize_16s_C4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMaxGetBufferHostSize_32f_C4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMax_32f_C4R. More...
NppStatus | nppiMaxGetBufferHostSize_32f_C4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMaxGetBufferHostSize_8u_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMax_8u_AC4R. More...
NppStatus | nppiMaxGetBufferHostSize_8u_AC4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMaxGetBufferHostSize_16u_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMax_16u_AC4R. More...
NppStatus | nppiMaxGetBufferHostSize_16u_AC4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMaxGetBufferHostSize_16s_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMax_16s_AC4R. More...
NppStatus | nppiMaxGetBufferHostSize_16s_AC4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMaxGetBufferHostSize_32f_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMax_32f_AC4R. More...
NppStatus | nppiMaxGetBufferHostSize_32f_AC4R (NppiSize oSizeROI, int *hpBufferSize)

## Detailed Description

Primitives for computing the maximal pixel value of an image.

### Common parameters for nppiMax functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppiMaxGetBufferHostSize_XX_XXX to determine the minium number of bytes required.
  pMax | Pointer to the computed max.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiMax_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16s | aMax[3]
| ) |  |

NppStatus nppiMax_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16s | aMax[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit signed image Max ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiMax functions.

NppStatus nppiMax_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16s * | pMax
| ) |  |

NppStatus nppiMax_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16s * | pMax,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 16-bit signed image Max.

For common parameter descriptions, see Common parameters for nppiMax functions.

NppStatus nppiMax_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16s | aMax[3]
| ) |  |

NppStatus nppiMax_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16s | aMax[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit signed image Max.

For common parameter descriptions, see Common parameters for nppiMax functions.

NppStatus nppiMax_16s_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16s | aMax[4]
| ) |  |

NppStatus nppiMax_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16s | aMax[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

For common parameter descriptions, see Common parameters for nppiMax functions.

NppStatus nppiMax_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16u | aMax[3]
| ) |  |

NppStatus nppiMax_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16u | aMax[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned image Max ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiMax functions.

NppStatus nppiMax_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16u * | pMax
| ) |  |

NppStatus nppiMax_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16u * | pMax,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 16-bit unsigned image Max.

For common parameter descriptions, see Common parameters for nppiMax functions.

NppStatus nppiMax_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16u | aMax[3]
| ) |  |

NppStatus nppiMax_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16u | aMax[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit unsigned image Max.

For common parameter descriptions, see Common parameters for nppiMax functions.

NppStatus nppiMax_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16u | aMax[4]
| ) |  |

NppStatus nppiMax_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16u | aMax[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned image Max.

For common parameter descriptions, see Common parameters for nppiMax functions.

NppStatus nppiMax_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp32f | aMax[3]
| ) |  |

NppStatus nppiMax_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp32f | aMax[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating point image Max ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiMax functions.

NppStatus nppiMax_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp32f * | pMax
| ) |  |

NppStatus nppiMax_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp32f * | pMax,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 32-bit floating point image Max.

For common parameter descriptions, see Common parameters for nppiMax functions.

NppStatus nppiMax_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp32f | aMax[3]
| ) |  |

NppStatus nppiMax_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp32f | aMax[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 32-bit floating point image Max.

For common parameter descriptions, see Common parameters for nppiMax functions.

NppStatus nppiMax_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp32f | aMax[4]
| ) |  |

NppStatus nppiMax_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp32f | aMax[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating point image Max.

For common parameter descriptions, see Common parameters for nppiMax functions.

NppStatus nppiMax_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp8u | aMax[3]
| ) |  |

NppStatus nppiMax_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp8u | aMax[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned image Max ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiMax functions.

NppStatus nppiMax_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp8u * | pMax
| ) |  |

NppStatus nppiMax_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp8u * | pMax,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned image Max.

For common parameter descriptions, see Common parameters for nppiMax functions.

NppStatus nppiMax_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp8u | aMax[3]
| ) |  |

NppStatus nppiMax_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp8u | aMax[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit unsigned image Max.

For common parameter descriptions, see Common parameters for nppiMax functions.

NppStatus nppiMax_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp8u | aMax[4]
| ) |  |

NppStatus nppiMax_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp8u | aMax[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned image Max.

For common parameter descriptions, see Common parameters for nppiMax functions.

NppStatus nppiMaxGetBufferHostSize_16s_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMaxGetBufferHostSize_16s_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMax_16s_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMaxGetBufferHostSize_16s_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMaxGetBufferHostSize_16s_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMax_16s_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMaxGetBufferHostSize_16s_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMaxGetBufferHostSize_16s_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMax_16s_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMaxGetBufferHostSize_16s_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMaxGetBufferHostSize_16s_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMax_16s_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMaxGetBufferHostSize_16u_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMaxGetBufferHostSize_16u_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMax_16u_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMaxGetBufferHostSize_16u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMaxGetBufferHostSize_16u_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMax_16u_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMaxGetBufferHostSize_16u_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMaxGetBufferHostSize_16u_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMax_16u_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMaxGetBufferHostSize_16u_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMaxGetBufferHostSize_16u_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMax_16u_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMaxGetBufferHostSize_32f_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMaxGetBufferHostSize_32f_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMax_32f_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMaxGetBufferHostSize_32f_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMaxGetBufferHostSize_32f_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMax_32f_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMaxGetBufferHostSize_32f_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMaxGetBufferHostSize_32f_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMax_32f_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMaxGetBufferHostSize_32f_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMaxGetBufferHostSize_32f_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMax_32f_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMaxGetBufferHostSize_8u_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMaxGetBufferHostSize_8u_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMax_8u_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMaxGetBufferHostSize_8u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMaxGetBufferHostSize_8u_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMax_8u_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMaxGetBufferHostSize_8u_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMaxGetBufferHostSize_8u_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMax_8u_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMaxGetBufferHostSize_8u_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMaxGetBufferHostSize_8u_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMax_8u_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

Copyright © 2009-2019 NVIDIA Corporation